{% extends 'base.html.twig' %}

{% block title %}Type index{% endblock %}

{% block body %}
    <div class="mdl-cell mdl-cell--6-col-desktop mdl-cell--6-col-tablet mdl-cell--4-col-phone">
                <div class="mdl-card mdl-shadow--2dp">
                    <div class="mdl-card__title">
                        <h1 class="mdl-card__title-text">Type</h1>
                    </div>
                    <div class="mdl-card__supporting-text no-padding">
                        <table class="mdl-data-table mdl-js-data-table">
                            <thead>
                                <tr>
                                    <th class="mdl-data-table__cell--non-numeric">id</th>
                                    <th class="mdl-data-table__cell--non-numeric">TitleType</th>
                                    <th class="mdl-data-table__cell--non-numeric">DescriptionType</th>
                                    <th class="mdl-data-table__cell--non-numeric">actions</th>
                               

                                </tr>
                            </thead>
                            <tbody>
        {% for type in types %}
            <tr>
                <td class="mdl-data-table__cell--non-numeric" >{{ type.id }}</td>
                <td class="mdl-data-table__cell--non-numeric" >{{ type.titleType }}</td>
                <td class="mdl-data-table__cell--non-numeric" >{{ type.DescriptionType }}</td>
           
                <td>
                 <a href="{{ path('type_show', {'id': type.id}) }}">show</a>
                    <a href="{{ path('type_edit', {'id': type.id}) }}">edit</a>
                </td>
            </tr>
            {% else %}
            <tr>
                <td colspan="7">no records found</td>
            </tr>
                {% endfor %}
                                
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>

    <a href="{{ path('type_new') }}">Create new</a>
{% endblock %}
